/*
 ************************************************************************
 *
 * File 'Sheet.cpp'.
 *
 * CanvasPlus widget test mode implementation.
 *
 * Written by Jorge Lima in Nov 23 14:44:03 WET 2004
 *
 */

#include <tkCanvasPlus.h>

#include "Sheet.h"
#include "Item.h"

Sheet::Sheet(CanvasPlus *_canvas)
  : canvas(_canvas), items(0), nItems(0)
{
}

Sheet::~Sheet() 
{
  Item *item = items;
  Item *prev;
  while(item != 0) {
    prev = item;
    item = item->next();
    delete prev;
  }
}

void Sheet::append(Item *item)
{
  nItems++;
  item->link(items);
  items = item;
}

